# EPrintable

## Name

EPrintable --

## Synopsis

    #define     E_PRINTABLE_TYPE
    typedef     EPrintable;
    EPrintable* e_printable_new                 (void);
    void        e_printable_print_page          (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble height,
                                                 gboolean quantized);
    gboolean    e_printable_data_left           (EPrintable *e_printable);
    void        e_printable_reset               (EPrintable *e_printable);
    gdouble     e_printable_height              (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble max_height,
                                                 gboolean quantized);
    gboolean    e_printable_will_fit            (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble max_height,
                                                 gboolean quantized);

## Object Hierarchy

      GtkObject
       +----EPrintable

## Signal Prototypes

    "print-page"
                void        user_function      (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);
    "data-left" gboolean    user_function      (EPrintable *eprintable,
                                                gpointer user_data);
    "reset"     void        user_function      (EPrintable *eprintable,
                                                gpointer user_data);
    "height"    gdouble     user_function      (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);
    "will-fit"  gboolean    user_function      (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);

## Description

## Details

### E_PRINTABLE_TYPE

    #define E_PRINTABLE_TYPE        (e_printable_get_type ())

### EPrintable

    typedef struct {
    	GtkObject   base;
    } EPrintable;

### e_printable_new ()

    EPrintable* e_printable_new                 (void);

Returns : |

### e_printable_print_page ()

    void        e_printable_print_page          (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble height,
                                                 gboolean quantized);

`e_printable` : |
`context` : |
`width` : |
`height` : |
`quantized` : |

### e_printable_data_left ()

    gboolean    e_printable_data_left           (EPrintable *e_printable);

`e_printable` : |
Returns : |

### e_printable_reset ()

    void        e_printable_reset               (EPrintable *e_printable);

`e_printable` : |

### e_printable_height ()

    gdouble     e_printable_height              (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble max_height,
                                                 gboolean quantized);

`e_printable` : |
`context` : |
`width` : |
`max_height` : |
`quantized` : |
Returns : |

### e_printable_will_fit ()

    gboolean    e_printable_will_fit            (EPrintable *e_printable,
                                                 GnomePrintContext *context,
                                                 gdouble width,
                                                 gdouble max_height,
                                                 gboolean quantized);

`e_printable` : |
`context` : |
`width` : |
`max_height` : |
`quantized` : |
Returns : |

## Signals

### The "print-page" signal

    void        user_function                  (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);

`eprintable` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The "data-left" signal

    gboolean    user_function                  (EPrintable *eprintable,
                                                gpointer user_data);

`eprintable` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The "reset" signal

    void        user_function                  (EPrintable *eprintable,
                                                gpointer user_data);

`eprintable` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "height" signal

    gdouble     user_function                  (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);

`eprintable` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |

### The "will-fit" signal

    gboolean    user_function                  (EPrintable *eprintable,
                                                GtkObject *arg1,
                                                gdouble arg2,
                                                gdouble arg3,
                                                gboolean arg4,
                                                gpointer user_data);

`eprintable` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |